//
// mixins/layout
//

$article-spacing-side: $base-spacing-unit;
$article-spacing-row: $base-spacing-unit;

// article-padding-side
@mixin article-padding-side($coeffcient: 1) {
  padding-left: $article-spacing-side * $coeffcient;
  padding-right: $article-spacing-side * $coeffcient;
  @include mq($offcanvas) {
    padding-left: $article-spacing-side * $coeffcient * 2;
    padding-right: $article-spacing-side * $coeffcient * 2;
  }
}

// article-padding-row
@mixin article-spacing-row($property, $coeffcient: 1) {
  #{$property}: $article-spacing-row  * $coeffcient;
  @include mq($offcanvas) {
    #{$property}: $article-spacing-row  * $coeffcient * 1.5;
  }
}

// article-padding-top
@mixin article-padding-top($coeffcient: 1) {
  @include article-spacing-row('padding-top', $coeffcient);
}

// article-padding-bottom
@mixin article-padding-bottom($coeffcient: 1) {
  @include article-spacing-row('padding-bottom', $coeffcient);
}

// article-padding-top
@mixin article-margin-top($coeffcient: 1) {
  @include article-spacing-row('margin-top', $coeffcient);
}

// article-padding-top
@mixin article-margin-bottom($coeffcient: 1) {
  @include article-spacing-row('margin-bottom', $coeffcient);
}
